<?php

header("Access-Control-Allow-Origin: *");
header('Access-Control-Allow-Credentials: true');
header("Access-Control-Allow-Methods: PUT, GET, POST, DELETE");
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept");
header("Content-Type: application/json; charset=UTF-8");

$postData = file_get_contents("php://input");
$postData = json_decode($postData, true);

$uname = $postData['username'];

function dirToArray($dir) 
{
  
  $result = array();
  $result["dirs"] = array();
  $result["files"] = array();

  $cdir = scandir($dir);
  foreach ($cdir as $key => $value)
  {
     if (!in_array($value,array(".","..")))
     {
        if (is_dir($dir . DIRECTORY_SEPARATOR . $value))
        {
           $result["dirs"][$value] = dirToArray($dir . DIRECTORY_SEPARATOR . $value);
        }
        else
        {
           array_push($result["files"], $value);
        }
     }
  }
 
  return $result;
}

$Dir = "../users/" . $uname;

echo json_encode(dirToArray($Dir));

?>